# Interface FormTextAreaInputJson

Defines the desired user interface is a multi-line text area. See https://developers.arcgis.com/web-map-specification/objects/formTextAreaInput/.

interface FormTextAreaInputJson {
maxLength?: number;
minLength?: number;
type: "text-area";
}

#####
Index

### Properties

maxLength?
minLength?
type

##
Properties

### `Optional` maxLength

maxLength?: number

This represents the maximum number of characters allowed. If not supplied, the value is derived from the length property of the referenced field in the service.

### `Optional` minLength

minLength?: number

This represents the minimum number of characters allowed. If not supplied, the value is 0, meaning there is no minimum constraint.

### type

type

The input type identifier.